<?php

namespace App\Admin\Controllers;

use App\Models\PaymentLog;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Show;
use Dcat\Admin\Http\Controllers\AdminController;

class PaymentLogController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(new PaymentLog(), function (Grid $grid) {
            $grid->column('id')->sortable();
            $grid->column('order_no');
            $grid->column('price');
            $grid->column('status');
            $grid->column('content');
            $grid->column('payment');
            $grid->column('created_at');
            $grid->column('updated_at')->sortable();
        
            $grid->filter(function (Grid\Filter $filter) {
                $filter->equal('id');
        
            });
        });
    }

    /**
     * Make a show builder.
     *
     * @param mixed $id
     *
     * @return Show
     */
    protected function detail($id)
    {
        return Show::make($id, new PaymentLog(), function (Show $show) {
            $show->field('id');
            $show->field('order_no');
            $show->field('price');
            $show->field('status');
            $show->field('content');
            $show->field('payment');
            $show->field('created_at');
            $show->field('updated_at');
        });
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        return Form::make(new PaymentLog(), function (Form $form) {
            $form->display('id');
            $form->text('order_no');
            $form->text('price');
            $form->text('status');
            $form->text('content');
            $form->text('payment');
        
            $form->display('created_at');
            $form->display('updated_at');
        });
    }
}
